foundation-0.0.17: Alternative prelude with batteries and no dependencies

Safe Haskell | None
Language | Haskell2010

Foundation.Exception

Synopsis

- finally :: MonadBracket m => m a -> m b -> m a
- try :: (MonadCatch m, Exception e) => m a -> m (Either e a)
- data SomeException :: *

# Documentation

finally :: MonadBracket m => m a -> m b -> m a Source #

try :: (MonadCatch m, Exception e) => m a -> m (Either e a) Source #

data SomeException :: * #

The `SomeException` type is the root of the exception type hierarchy. When an exception of type `e` is thrown, behind the scenes it is encapsulated in a `SomeException`.

Instances

Show SomeException |
Methods showsPrec :: Int -> SomeException -> ShowS # show :: SomeException -> String # showList :: [SomeException] -> ShowS #
Exception SomeException |
Methods toException :: SomeException -> SomeException # fromException :: SomeException -> Maybe SomeException # displayException :: SomeException -> String #